Skip to main content
PATCH
/
aml
/
monitorings
/
{id}
Partially update AML monitoring
curl --request PATCH \
  --url https://api.example.com/aml/monitorings/{id}/ \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isSubscribed": true,
  "tags": []
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isSubscribed": true,
  "status": "ACTIVE",
  "expiration": "2023-11-07T05:31:56Z",
  "created": "2023-11-07T05:31:56Z",
  "amlCheck": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientId": "<string>",
    "checkedAt": "2023-11-07T05:31:56Z",
    "created": "2023-11-07T05:31:56Z",
    "userType": "COMPANY",
    "input": {
      "fullName": "<string>",
      "nationality": "AF",
      "dateOfBirth": "2023-12-25",
      "sex": "MALE"
    },
    "filter": {
      "threshold": 85,
      "datasets": [
        "PEP_CURRENT"
      ],
      "sanctionBodies": [
        40
      ],
      "dateOfBirthMatching": "EXACT",
      "pepTiers": [
        "PEP_TIER_1"
      ]
    },
    "amlCheck": [
      {
        "resourceId": "<string>",
        "score": 123,
        "match": "<string>",
        "name": "<string>",
        "addresses": [
          {
            "geography": "<string>",
            "city": "<string>"
          }
        ],
        "nationalities": [
          "AF"
        ],
        "datesOfBirth": [
          "<string>"
        ],
        "datasets": [
          "PEP_CURRENT"
        ],
        "currentSanBodyIds": [
          123
        ],
        "formerSanBodyIds": [
          123
        ],
        "version": 123,
        "gender": "MALE",
        "profileImage": "<string>",
        "pepTier": "PEP_TIER_1"
      }
    ],
    "adverseMedia": [
      {
        "title": "<string>",
        "url": "<string>",
        "text": "<string>",
        "score": 123,
        "type": "NEGATIVE",
        "publishDate": "2023-12-25"
      }
    ],
    "overallStatus": "NOT_CHECKED"
  },
  "tags": []
}

Authorizations

Authorization
string
header
required

The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.

Path Parameters

id
string<uuid>
required

A UUID string identifying this AML monitoring.

Body

application/json
isSubscribed
boolean

Should the expiration of this AML monitoring be automatically extended or not.

tags
string[]

List of case-sensitive strings. Each tag can not be longer than 32 characters.

Maximum array length: 5
Required string length: 1 - 32
Pattern: ^[^,]+$

Response

200 - application/json
id
string<uuid>
required
isSubscribed
boolean
required

Should the expiration of this AML monitoring be automatically extended or not.

status
enum<string>
required
Available options:
ACTIVE,
STOPPED,
PENDING,
ALERT
expiration
string<date-time>
required
created
string<date-time>
required
amlCheck
object
required
tags
string[]

List of case-sensitive strings. Each tag can not be longer than 32 characters.

Maximum array length: 5
Maximum string length: 32
Pattern: ^[^,]+$